CSC8001, Programming and Data Structures, 20
CSC8002, Advanced Programming, 20
CSC8009, Research Methods for Computer Science, 10
CSC8010, Computer Environments, 10
CSC8004, Networks and Web Technologies, 20
CSC8005, Software Engineering with Group Project, 20
CSC8008, Information Systems, 20
CSC8099, Project and Dissertation for MSc Computer Science, 60

